Subject: [pim] PIM-SM Prune-Echo behavior

From: Aleksandr Okonnikov <[email-masked]>
Date: Thu, 2 Aug 2012 13:23:21 +0400

Hello,

I'm sorry to trouble WG, but could anyone explain why Prune-Echo is sent
after pruning (*,G) or (S,G) on interface (after expiring PP timer) and not
before (during PP state)? Am I correct that goal of sending Prune-Echo is
to prevent downstream routers who haven't heard Prune (because it had lost
in LAN or LAN is partitioned) from ending receive appropriate streams? If
so, then, in my mind, it would be correct to send Prune-Echo before pruning
(*,G)/(S,G) on upstream router's interface and somehow expand PP state, for
instance, with additional time, such that upstream router would be able to
complete Prune-Echo procedure (for example, to be able receive override
Join in response to Prune-Echo) before transiting to Pruned state. (PIM-SM
specification).

My apologies if I'm somewhere wrong.

Thanks in advance for attention.